# Get all application information

| HTTP method | Endpoint                    |
| ----------- | --------------------------- |
| **GET**     | **/v1/offer\_applications** |

## Query string parameters <a href="#query-string-parameters" id="query-string-parameters"></a>

| Conditions | Parameters    | Type    | Description                                                                                                                                                               |
| ---------- | ------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Offset     | offset        | offset  | Check page scale.                                                                                                                                                         |
| Limit      | limit         | limit   | The number of date displays in each page. **Maximum = 1000**                                                                                                              |
| Sort       | sort          | sort    | Ranking according to the specified field ascending "+", or descending "-".                                                                                                |
| Filters    | filters       | filter  | Query requirements of Specify field.                                                                                                                                      |
|            |               |         | EQUAL\_TO    NOT\_EQUAL\_TO    LESS\_THAN    LESS\_THAN\_OR\_EQUAL\_TO    GREATER\_THAN    GREATER\_THAN\_OR\_EQUAL\_TO    CONTAINS    NOT\_CONTAINS    NULL    NOT\_NULL |
| Fields     | fields        | field   | You can choose the field of the query (the result of the query is in line with the selected field).                                                                       |
|            | id            | integer | A string that uniquely identifies this application                                                                                                                        |
|            | stauts        | string  | The status of the this application                                                                                                                                        |
|            | offer\_id     | integer | Offer id.                                                                                                                                                                 |
|            | affiliate\_id | integer | Affiliate id.                                                                                                                                                             |
|            | apply\_time   | inteter | The apply time of this application                                                                                                                                        |
|            | accept\_time  | integer | The accept time of this application                                                                                                                                       |

## Response body parameters <a href="#response-body-parameters-1" id="response-body-parameters-1"></a>

| Field         | Type    | Description                                                                                                        |
| ------------- | ------- | ------------------------------------------------------------------------------------------------------------------ |
| id            | integer | A string that uniquely identifies this category                                                                    |
| offer\_id     | integer | Offer id.                                                                                                          |
| affiliate\_id | integer | Affiliate id.                                                                                                      |
| apply\_time   | inteter | The apply time of this application                                                                                 |
| accept\_time  | integer | The accept time of this application                                                                                |
| totalPages    | integer | The list of data pages (associated with your limit).                                                               |
| totalRows     | integer | Total number of available data.                                                                                    |
| offset        | integer | The number of records from a collection to skip. Iterating over large collections with this parameter can be slow. |
| limit         | integer | The number of data displayed on one page                                                                           |

### Example request <a href="#example-request-1" id="example-request-1"></a>

**Request GET** <https://{networkname}.api.offerslook.com/v1/offer_applications?sort=+id&offset=2&limit=8&fields=affiliate_id,offer_id,status&filters[id][LESS_THAN]=2200>

**Request GET** <http://{networkname}.api.offerslook.com/v1/offer_applications?sort=+id&offset=2&limit=8&fields=affiliate_id,offer_id,status&filters[id][LESS_THAN]=2200>

## Example response <a href="#example-response-1" id="example-response-1"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "rowset": [
          {
            "id": 2090,
            "affiliate_id": 688,
            "status": "pending",
            "offer_id": 2705
          },
          {
            "id": 2092,
            "affiliate_id": 688,
            "status": "rejected",
            "offer_id": 52
          },
          {
            "id": 2112,
            "affiliate_id": 688,
            "status": "rejected",
            "offer_id": 2720
          },
          {
            "id": 2115,
            "affiliate_id": 40,
            "status": "pending",
            "offer_id": 2720
          },
          {
            "id": 2117,
            "affiliate_id": 688,
            "status": "approved",
            "offer_id": 2721
          },
          {
            "id": 2121,
            "affiliate_id": 4824,
            "status": "pending",
            "offer_id": 2722
          },
          {
            "id": 2122,
            "affiliate_id": 4824,
            "status": "approved",
            "offer_id": 2720
          },
          {
            "id": 2123,
            "affiliate_id": 4824,
            "status": "approved",
            "offer_id": 17
          }
        ],
        "totalPages": 4,
        "totalRows": 27,
        "offset": 2,
        "limit": 8
      }
    }
```
